Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000102 [EasyBSD] Script Modification major N/A 2009-11-12 09:24 2010-01-30 18:17
Reporter Julian View Status public  
Assigned To Julian
Priority high Resolution fixed  
Status resolved   Product Version 3.1.0
Summary 0000102: Global Daemon Modules Update
Description We are updating all the daemon modules with latest versions and option files. All changes will be tracked via this ticket.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000323)
svn (developer)
2009-11-12 09:31

Changeset [56] by julian, 2009-11-12 09:31:58 -0500 (Thu, 12 Nov 2009)
Issue 0000102

Updating DHCPd Module
Adding updated options file
A trunk/fsroot/var/db/ports/isc-dhcp30-server/
A trunk/fsroot/var/db/ports/isc-dhcp30-server/options
U trunk/modules/060.daemon_dhcpd.sh
(0000324)
svn (developer)
2009-11-12 15:43

Changeset [57] by julian, 2009-11-12 15:43:28 -0500 (Thu, 12 Nov 2009)
Issue 0000102: -- Removing Brute Force Blocker... System never worked correctly
U trunk/modules/060.daemon_sshd.sh
(0000326)
svn (developer)
2009-11-13 13:02

Changeset [58] by julian, 2009-11-13 13:02:31 -0500 (Fri, 13 Nov 2009)
Issue 0000102: -- adding proftpd configuration file
A trunk/fsroot/usr/local/etc/proftpd.conf
(0000327)
svn (developer)
2009-11-13 13:06

Changeset [59] by julian, 2009-11-13 13:06:23 -0500 (Fri, 13 Nov 2009)
Issue 0000102: -- adding proftpd configuration file
U trunk/modules/060.daemon_proftpd.sh
(0000329)
Julian (administrator)
2009-11-13 13:10

More updates to come at a later data.


-- This ticket will be reopened after the current release.
(0000341)
svn (developer)
2010-01-17 04:39

Changeset [75] by julian, 2010-01-17 04:39:11 -0500 (Sun, 17 Jan 2010)
issue 0000102 -- Renaming modules to excluse 'daemon_'
A trunk/modules/060.060.linuxbase.sh
A trunk/modules/060.clamav.sh
D trunk/modules/060.daemon_clamav.sh
D trunk/modules/060.daemon_dhcpd.sh
D trunk/modules/060.daemon_httpd.sh
D trunk/modules/060.daemon_linuxbase.sh
D trunk/modules/060.daemon_mysqld.sh
D trunk/modules/060.daemon_oidentd.sh
D trunk/modules/060.daemon_proftpd.sh
D trunk/modules/060.daemon_sshd.sh
A trunk/modules/060.dhcpd.sh
A trunk/modules/060.httpd.sh
A trunk/modules/060.mysqld.sh
A trunk/modules/060.oidentd.sh
A trunk/modules/060.proftpd.sh
A trunk/modules/060.sshd.sh
(0000342)
svn (developer)
2010-01-17 04:39

Changeset [76] by julian, 2010-01-17 04:39:48 -0500 (Sun, 17 Jan 2010)
issue 0000102 -- mid-named
D trunk/modules/060.060.linuxbase.sh
A trunk/modules/060.linuxbase.sh
(0000350)
svn (developer)
2010-01-17 05:25

Changeset [79] by julian, 2010-01-17 05:25:12 -0500 (Sun, 17 Jan 2010)
issue 0000102 -- Obsolete package
D trunk/modules/060.oidentd.sh
(0000357)
svn (developer)
2010-01-19 18:10

Changeset [85] by julian, 2010-01-19 18:10:55 -0500 (Tue, 19 Jan 2010)
Issue 0000102 -- renaming all the functions within the daemon scripts
U trunk/modules/060.clamav.sh
U trunk/modules/060.dhcpd.sh
U trunk/modules/060.httpd.sh
U trunk/modules/060.linuxbase.sh
U trunk/modules/060.mysqld.sh
U trunk/modules/060.proftpd.sh
U trunk/modules/060.sshd.sh
(0000359)
Julian (administrator)
2010-01-20 01:43
edited on: 2010-01-20 01:44

Change Apache module to include SSL support. or ask users if they want support for it

(0000372)
svn (developer)
2010-01-20 22:00

Changeset [96] by julian, 2010-01-20 22:00:49 -0500 (Wed, 20 Jan 2010)
Issue 0000102 -- Spelling corrections, display adjustments.
U trunk/modules/030.networking.sh
(0000373)
svn (developer)
2010-01-20 22:08

Changeset [97] by julian, 2010-01-20 22:08:28 -0500 (Wed, 20 Jan 2010)
Issue 0000102 -- Spelling corrections, display adjustments.
U trunk/modules/055.tweaks.sh
(0000375)
svn (developer)
2010-01-20 23:06

Changeset [98] by julian, 2010-01-20 23:05:59 -0500 (Wed, 20 Jan 2010)
Issue 0000110
Issue 0000102

Making minor tweaks and changes.
U trunk/docs/README
U trunk/easybsd.sh
U trunk/fsroot/etc/sysctl.conf.patch
U trunk/modules/050.fbsd_ports.sh
U trunk/modules/060.linuxbase.sh
(0000394)
svn (developer)
2010-01-24 01:47

Changeset [118] by jewles, 2010-01-24 01:47:07 -0500 (Sun, 24 Jan 2010)
Issue 0000102 -- This update includes major changes to easybsd modules
Issue 0000114 -- Several modules have been removed that will be included with fetchmod
Issue 0000116 -- Major rewriting of the firewall module. PF/IPFW have been removed and PF is now the primary firewall
Issue 0000119 -- This update includes major changes to easybsd svn repos
A trunk/modules/020.networking.sh
D trunk/modules/020.security.sh
A trunk/modules/030.firewall.sh
D trunk/modules/030.networking.sh
D trunk/modules/040.firewall.sh
D trunk/modules/040.firewall_ipfw.sh
D trunk/modules/040.firewall_pf.sh
A trunk/modules/040.security.sh
D trunk/modules/060.clamav.sh
D trunk/modules/060.httpd.sh
D trunk/modules/060.linuxbase.sh
D trunk/modules/060.mysqld.sh
D trunk/modules/060.sshd.sh
(0000406)
svn (developer)
2010-01-24 04:36

Changeset [128] by julian, 2010-01-24 04:36:06 -0500 (Sun, 24 Jan 2010)
Issue 0000102 -- Fixing sshd patch error
U trunk/modules/010.update.sh
(0000421)
Julian (administrator)
2010-01-30 18:17

Issue has been resolved via several other tickets. The new fetchmod script has removed a lot of the required changes for this ticket.

- Issue History
Date Modified Username Field Change
2009-11-12 09:24 Julian New Issue
2009-11-12 09:24 Julian Assigned To => Julian
2009-11-12 09:31 svn Checkin
2009-11-12 09:31 svn Note Added: 0000323
2009-11-12 15:43 svn Checkin
2009-11-12 15:43 svn Note Added: 0000324
2009-11-13 13:02 svn Checkin
2009-11-13 13:02 svn Note Added: 0000326
2009-11-13 13:06 svn Checkin
2009-11-13 13:06 svn Note Added: 0000327
2009-11-13 13:10 Julian Note Added: 0000329
2009-11-13 13:10 Julian Status new => resolved
2009-11-13 13:10 Julian Fixed in Version => trunk
2009-11-13 13:10 Julian Resolution open => fixed
2009-11-14 15:17 Julian Status resolved => assigned
2009-11-14 15:17 Julian Status assigned => new
2010-01-17 04:39 svn Checkin
2010-01-17 04:39 svn Note Added: 0000341
2010-01-17 04:39 svn Checkin
2010-01-17 04:39 svn Note Added: 0000342
2010-01-17 05:25 svn Checkin
2010-01-17 05:25 svn Note Added: 0000350
2010-01-19 18:10 svn Checkin
2010-01-19 18:10 svn Note Added: 0000357
2010-01-20 01:43 Julian Note Added: 0000359
2010-01-20 01:44 Julian Note Edited: 0000359
2010-01-20 22:00 svn Checkin
2010-01-20 22:00 svn Note Added: 0000372
2010-01-20 22:08 svn Checkin
2010-01-20 22:08 svn Note Added: 0000373
2010-01-20 23:06 svn Checkin
2010-01-20 23:06 svn Note Added: 0000375
2010-01-24 01:47 svn Checkin
2010-01-24 01:47 svn Note Added: 0000394
2010-01-24 04:36 svn Checkin
2010-01-24 04:36 svn Note Added: 0000406
2010-01-30 18:17 Julian Note Added: 0000421
2010-01-30 18:17 Julian Status new => resolved
2010-01-30 18:17 Julian Fixed in Version 3.1.0 => trunk


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker